# QInputContext Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QInputContext(QObject parent)

### Constructor Properties

- prototype: The QInputContext prototype object
- PreeditFormat
- SelectionFormat
- StandardFormat( value )

### Prototype Object Properties

The QInputContext prototype object inherits properties from the QObject prototype object and also has the following properties.

- List actions()
- bool filterEvent(QEvent event)
- QWidget focusWidget()
- QFont font()
- String identifierName()
- bool isComposing()
- String language()
- void mouseHandler(int x, QMouseEvent event)
- void reset()
- void sendEvent(QInputMethodEvent event)
- QTextFormat standardFormat(StandardFormat s)
- void update()
- void widgetDestroyed(QWidget w)

### Instance Properties

QInputContext objects have no special properties beyond those inherited from the QInputContext prototype object.